* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2020-11-28 17:37 Maciej Barć
0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2020-11-28 17:37 UTC (permalink / raw
To: gentoo-commits
commit: 8bcb90c2a8aa2a31b16b22cad370fb31dd7e404d
Author: Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Sat Nov 28 17:35:23 2020 +0000
Commit: Maciej Barć <xgqt <AT> protonmail <DOT> com>
CommitDate: Sat Nov 28 17:35:23 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8bcb90c2
dev-vcs/gitahead: new pkg; add version 2.6.3
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>
dev-vcs/gitahead/Manifest | 6 +++
dev-vcs/gitahead/gitahead-2.6.3.ebuild | 90 ++++++++++++++++++++++++++++++++++
dev-vcs/gitahead/metadata.xml | 14 ++++++
3 files changed, 110 insertions(+)
diff --git a/dev-vcs/gitahead/Manifest b/dev-vcs/gitahead/Manifest
new file mode 100644
index 00000000..f5431ce0
--- /dev/null
+++ b/dev-vcs/gitahead/Manifest
@@ -0,0 +1,6 @@
+DIST gitahead-2.6.3-dep_cmark_cmark.tar.gz 231023 BLAKE2B b3e5768c04d33a6273befa8f1aa121b1f4df7ab1c4791c093681186b74b9a819824ff7d6369b456fe94e121344eecd704e71657d8004b1ef66b54ec4cb2a6abd SHA512 65fe291cfc9d163dff8ae69f98cb3449434405a50835056d2bf4aff43131f23d7d837c4ec7aa9bec93df184ff5d1210bff522d702fbddc96844dcf98f515d0b7
+DIST gitahead-2.6.3-dep_git_git.tar.gz 7968616 BLAKE2B 7d2ea9e1ca1faa1a8b66a9db6b213c02be966cec74abe085139e3e966adcff9efbd74fb942ad145ddea64bab94a6006b91b512c96aa645cb124bcaf6e5a488eb SHA512 37a77870e0df748b023f5381aa969f1126b142a3470c9df4e01d86cf3418a0b0e4cb16a37ef7b162f285bdd540559a3511488ec8591b2f88e495626df019c03f
+DIST gitahead-2.6.3-dep_libgit2_libgit2.tar.gz 5322459 BLAKE2B 2a5a4e98e3d6f2883f60604ea5721a56fbc9f3c2403686cda5b65e3fe859bbbe773d30d7fbf8a9d1549aeeda3367526d8604047a27cde490edc8f3fb982fa0c6 SHA512 068be7000e8c9f01073ffa315e398b687e937fbd63fb77021a307cfefc8382ddb085a36f6a2b40bade355d6ffcb1772de8551b9eb6f9eb56877805883804114d
+DIST gitahead-2.6.3-dep_libssh2_libssh2.tar.gz 464738 BLAKE2B 6520c4df6584798505da8e14bfb4fe43389d0b3702d7eee6ce6b604d3260df7fda5c79cef8f69614035efeb31e516da63464313e11f64b6e8995a39c814683e8 SHA512 e86c0787e2aa7be5e9f19356e543493e53c7d1b51b585c46facfb05f769e6491209f820b207bf594348f4760c492c32dda3fcc94fc0af93cb09c736492a8e231
+DIST gitahead-2.6.3-dep_openssl_openssl.tar.gz 11271304 BLAKE2B 35ed131c683d4bb343ca5891553eef3c6079a90b475d54e1d68917b7fb3d88e34880c8f222d2f2633e2ed4eb52c3b2ca57def4d48e16693e2e766666915dd0f4 SHA512 98c0491ea2051120cbb369ac1e069028d21746d70a3a9cb5553ea27d52ab2e68353390c89e9c0202cea2fcd0b1a39cc070e29119b322aedd3d58e014626f6f05
+DIST gitahead-2.6.3.tar.gz 34528473 BLAKE2B e35a055e62dab67d7a6efd0e9783ff485d3208b85e8e799f722d1346f55b1cdd1c7983631aab1766d2d64577e3ba37350fa89713f25562273c52ecfca43029d8 SHA512 8d64efc156343a9c04d12c8a41742e36aed39260d0040ec1a52ce567a73e156f1ce77c61672cb93ef30c0b6c7ee48d9a6e94381ce7034142cdcf2f60a839c712
diff --git a/dev-vcs/gitahead/gitahead-2.6.3.ebuild b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
new file mode 100644
index 00000000..76c021d0
--- /dev/null
+++ b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake desktop xdg wrapper
+
+DESCRIPTION="Graphical Git client to help understand and manage source code history"
+HOMEPAGE="https://github.com/gitahead/gitahead"
+SRC_URI="
+ https://github.com/gitahead/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/openssl/openssl/archive/d1c28d791a7391a8dc101713cd8646df96491d03.tar.gz -> ${P}-dep_openssl_openssl.tar.gz
+ https://github.com/stinb/libgit2/archive/90af68bbe2690998f015f18b7c890f5868bcd3ee.tar.gz -> ${P}-dep_libgit2_libgit2.tar.gz
+ https://github.com/libssh2/libssh2/archive/42d37aa63129a1b2644bf6495198923534322d64.tar.gz -> ${P}-dep_libssh2_libssh2.tar.gz
+ https://github.com/git/git/archive/0d0ac3826a3bbb9247e39e12623bbcfdd722f24c.tar.gz -> ${P}-dep_git_git.tar.gz
+ https://github.com/commonmark/cmark/archive/f0793895eefc8ca14499831a24abee549a5af53e.tar.gz -> ${P}-dep_cmark_cmark.tar.gz
+"
+
+RESTRICT="test"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qttest:5
+ dev-qt/qtwidgets:5
+"
+DEPEND="
+ ${RDEPEND}
+"
+
+src_unpack() {
+ unpack "${P}.tar.gz"
+
+ cd "${S}" || die
+ local i list=(
+ dep_openssl_openssl
+ dep_libgit2_libgit2
+ dep_libssh2_libssh2
+ dep_git_git
+ dep_cmark_cmark
+ )
+ for i in "${list[@]}"; do
+ [ ! -f "${DISTDIR}/${P}-${i}.tar.gz" ] && die "The file ${DISTDIR}/${P}-${i}.tar.gz doesn't exist"
+ tar xf "${DISTDIR}/${P}-${i}.tar.gz" --strip-components 1 -C "${i//_//}" || die "Failed to unpack ${P}-${i}.tar.gz"
+ done
+}
+
+src_prepare() {
+ cmake_src_prepare
+}
+
+src_configure() {
+ cmake_src_configure
+}
+
+src_install() {
+ cd "${BUILD_DIR}" || die
+
+ eninja package
+ cd ./_CPack_Packages/Linux/STGZ || die
+ mkdir -p "${D}"/usr/share || die
+ bash ./GitAhead-2.6.3.sh --prefix="${D}"/usr/share --include-subdir || die
+ rm -fr "${D}"/usr/share/GitAhead/*.so.* || die
+
+ cd "${D}"/usr/share/GitAhead/Resources/GitAhead.iconset || die
+ local res
+ for res in 16 32 64 128 256 512; do
+ newicon -s "${res}" "icon_${res}x${res}.png" "${PN}.png"
+ done
+
+ make_wrapper "${PN}" "${EPREFIX}/usr/share/GitAhead/GitAhead"
+ make_desktop_entry "/usr/share/GitAhead/GitAhead" "GitAhead" "${PN}" "Development"
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ ewarn "${P} collects some statistical usage data."
+ ewarn "To permanently opt-out of reporting:"
+ ewarn "toggle a button in Help -> About GitAhead -> Privacy"
+ ewarn "or write to ~/.config/gitahead.com/GitAhead.conf those lines:"
+ ewarn "[tracking]"
+ ewarn "enabled=false"
+}
diff --git a/dev-vcs/gitahead/metadata.xml b/dev-vcs/gitahead/metadata.xml
new file mode 100644
index 00000000..dbd1b3d4
--- /dev/null
+++ b/dev-vcs/gitahead/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>xgqt@protonmail.com</email>
+ <name>Maciej Barć</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">gitahead/gitahead</remote-id>
+ </upstream>
+ <longdescription>
+ GitAhead is a graphical Git client designed to help you understand and manage your source code history.
+ </longdescription>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2020-11-29 10:04 Theo Anderson
0 siblings, 0 replies; 19+ messages in thread
From: Theo Anderson @ 2020-11-29 10:04 UTC (permalink / raw
To: gentoo-commits
commit: be8345ef433ab36b69eba6d4431d6fe02e9bd7c7
Author: Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Sun Nov 29 06:49:26 2020 +0000
Commit: Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Sun Nov 29 06:49:26 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=be8345ef
dev-vcs/gitahead: reorder inherit
Package-Manager: Portage-3.0.10, Repoman-3.0.2
Signed-off-by: Theo Anderson <telans <AT> posteo.de>
dev-vcs/gitahead/gitahead-2.6.3.ebuild | 16 +++-------------
1 file changed, 3 insertions(+), 13 deletions(-)
diff --git a/dev-vcs/gitahead/gitahead-2.6.3.ebuild b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
index 76c021d0..dcda35cb 100644
--- a/dev-vcs/gitahead/gitahead-2.6.3.ebuild
+++ b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-inherit cmake desktop xdg wrapper
+inherit desktop xdg cmake wrapper
DESCRIPTION="Graphical Git client to help understand and manage source code history"
HOMEPAGE="https://github.com/gitahead/gitahead"
@@ -16,10 +16,10 @@ SRC_URI="
https://github.com/commonmark/cmark/archive/f0793895eefc8ca14499831a24abee549a5af53e.tar.gz -> ${P}-dep_cmark_cmark.tar.gz
"
-RESTRICT="test"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
+RESTRICT="test"
RDEPEND="
dev-qt/qtconcurrent:5
@@ -30,9 +30,7 @@ RDEPEND="
dev-qt/qttest:5
dev-qt/qtwidgets:5
"
-DEPEND="
- ${RDEPEND}
-"
+DEPEND="${RDEPEND}"
src_unpack() {
unpack "${P}.tar.gz"
@@ -51,14 +49,6 @@ src_unpack() {
done
}
-src_prepare() {
- cmake_src_prepare
-}
-
-src_configure() {
- cmake_src_configure
-}
-
src_install() {
cd "${BUILD_DIR}" || die
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2020-12-27 16:11 Maciej Barć
0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2020-12-27 16:11 UTC (permalink / raw
To: gentoo-commits
commit: d6ce8f9b0d92fbbcc079016a095e50323aefc3f3
Author: Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Sun Dec 27 16:11:46 2020 +0000
Commit: Maciej Barć <xgqt <AT> protonmail <DOT> com>
CommitDate: Sun Dec 27 16:11:46 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d6ce8f9b
dev-vcs/gitahead: add gnome-keyring USE flag
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>
dev-vcs/gitahead/gitahead-2.6.3.ebuild | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/dev-vcs/gitahead/gitahead-2.6.3.ebuild b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
index dcda35cb..8effd92c 100644
--- a/dev-vcs/gitahead/gitahead-2.6.3.ebuild
+++ b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
@@ -20,6 +20,7 @@ LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
RESTRICT="test"
+IUSE="gnome-keyring"
RDEPEND="
dev-qt/qtconcurrent:5
@@ -29,6 +30,9 @@ RDEPEND="
dev-qt/qtprintsupport:5
dev-qt/qttest:5
dev-qt/qtwidgets:5
+ gnome-keyring? (
+ app-crypt/libsecret
+ )
"
DEPEND="${RDEPEND}"
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2020-12-28 18:37 Maciej Barć
0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2020-12-28 18:37 UTC (permalink / raw
To: gentoo-commits
commit: 227894b974cad3f109b7bb8b1ac5d51602545746
Author: Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Mon Dec 28 18:37:15 2020 +0000
Commit: Maciej Barć <xgqt <AT> protonmail <DOT> com>
CommitDate: Mon Dec 28 18:37:15 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=227894b9
dev-vcs/gitahead: sed for gnome-keyring removal
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>
dev-vcs/gitahead/gitahead-2.6.3.ebuild | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/dev-vcs/gitahead/gitahead-2.6.3.ebuild b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
index 8effd92c..6b150378 100644
--- a/dev-vcs/gitahead/gitahead-2.6.3.ebuild
+++ b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
@@ -53,6 +53,14 @@ src_unpack() {
done
}
+src_prepare() {
+ if ! use gnome-keyring; then
+ sed -i 's/add_subdirectory(git)//' ./dep/CMakeLists.txt || die
+ fi
+ default
+ cmake_src_prepare
+}
+
src_install() {
cd "${BUILD_DIR}" || die
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2020-12-28 20:49 Maciej Barć
0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2020-12-28 20:49 UTC (permalink / raw
To: gentoo-commits
commit: 98f6d6b280011bc12637b403f3da26e36df3cab3
Author: Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Mon Dec 28 20:49:03 2020 +0000
Commit: Maciej Barć <xgqt <AT> protonmail <DOT> com>
CommitDate: Mon Dec 28 20:49:03 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=98f6d6b2
dev-vcs/gitahead: rm unnecessary default function from src_prepare
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>
dev-vcs/gitahead/gitahead-2.6.3.ebuild | 1 -
1 file changed, 1 deletion(-)
diff --git a/dev-vcs/gitahead/gitahead-2.6.3.ebuild b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
index 6b150378..1f1a63b2 100644
--- a/dev-vcs/gitahead/gitahead-2.6.3.ebuild
+++ b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
@@ -57,7 +57,6 @@ src_prepare() {
if ! use gnome-keyring; then
sed -i 's/add_subdirectory(git)//' ./dep/CMakeLists.txt || die
fi
- default
cmake_src_prepare
}
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2020-12-28 21:18 Theo Anderson
0 siblings, 0 replies; 19+ messages in thread
From: Theo Anderson @ 2020-12-28 21:18 UTC (permalink / raw
To: gentoo-commits
commit: c19de6c73294ea44e28720b8772560b3d8d7f004
Author: Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Mon Dec 28 21:18:35 2020 +0000
Commit: Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Mon Dec 28 21:18:35 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c19de6c7
dev-vcs/gitahead: filter-flags -flto*; fixes segfault
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Theo Anderson <telans <AT> posteo.de>
dev-vcs/gitahead/gitahead-2.6.3.ebuild | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/dev-vcs/gitahead/gitahead-2.6.3.ebuild b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
index 1f1a63b2..2aa711a8 100644
--- a/dev-vcs/gitahead/gitahead-2.6.3.ebuild
+++ b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
@@ -60,6 +60,11 @@ src_prepare() {
cmake_src_prepare
}
+src_configure() {
+ filter-flags -flto* # Segfault in libQt5Core.so.5
+ cmake_src_configure
+}
+
src_install() {
cd "${BUILD_DIR}" || die
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2020-12-28 21:26 Theo Anderson
0 siblings, 0 replies; 19+ messages in thread
From: Theo Anderson @ 2020-12-28 21:26 UTC (permalink / raw
To: gentoo-commits
commit: 7335cc678666c47dc709c2eb192e107cb29a8b49
Author: Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Mon Dec 28 21:26:39 2020 +0000
Commit: Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Mon Dec 28 21:26:39 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7335cc67
dev-vcs/gitahead: fix inherit
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Theo Anderson <telans <AT> posteo.de>
dev-vcs/gitahead/gitahead-2.6.3.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-vcs/gitahead/gitahead-2.6.3.ebuild b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
index 2aa711a8..7dc03b62 100644
--- a/dev-vcs/gitahead/gitahead-2.6.3.ebuild
+++ b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-inherit desktop xdg cmake wrapper
+inherit desktop xdg cmake wrapper flag-o-matic
DESCRIPTION="Graphical Git client to help understand and manage source code history"
HOMEPAGE="https://github.com/gitahead/gitahead"
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2020-12-28 21:39 Maciej Barć
0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2020-12-28 21:39 UTC (permalink / raw
To: gentoo-commits
commit: 4f1547e4572cd863df5542d941c2cdb34efd711b
Author: Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Mon Dec 28 21:34:48 2020 +0000
Commit: Maciej Barć <xgqt <AT> protonmail <DOT> com>
CommitDate: Mon Dec 28 21:34:48 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4f1547e4
dev-vcs/gitahead: rm bundled openssl
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>
dev-vcs/gitahead/Manifest | 1 -
dev-vcs/gitahead/gitahead-2.6.3.ebuild | 4 ++--
2 files changed, 2 insertions(+), 3 deletions(-)
diff --git a/dev-vcs/gitahead/Manifest b/dev-vcs/gitahead/Manifest
index f5431ce0..570aae64 100644
--- a/dev-vcs/gitahead/Manifest
+++ b/dev-vcs/gitahead/Manifest
@@ -2,5 +2,4 @@ DIST gitahead-2.6.3-dep_cmark_cmark.tar.gz 231023 BLAKE2B b3e5768c04d33a6273befa
DIST gitahead-2.6.3-dep_git_git.tar.gz 7968616 BLAKE2B 7d2ea9e1ca1faa1a8b66a9db6b213c02be966cec74abe085139e3e966adcff9efbd74fb942ad145ddea64bab94a6006b91b512c96aa645cb124bcaf6e5a488eb SHA512 37a77870e0df748b023f5381aa969f1126b142a3470c9df4e01d86cf3418a0b0e4cb16a37ef7b162f285bdd540559a3511488ec8591b2f88e495626df019c03f
DIST gitahead-2.6.3-dep_libgit2_libgit2.tar.gz 5322459 BLAKE2B 2a5a4e98e3d6f2883f60604ea5721a56fbc9f3c2403686cda5b65e3fe859bbbe773d30d7fbf8a9d1549aeeda3367526d8604047a27cde490edc8f3fb982fa0c6 SHA512 068be7000e8c9f01073ffa315e398b687e937fbd63fb77021a307cfefc8382ddb085a36f6a2b40bade355d6ffcb1772de8551b9eb6f9eb56877805883804114d
DIST gitahead-2.6.3-dep_libssh2_libssh2.tar.gz 464738 BLAKE2B 6520c4df6584798505da8e14bfb4fe43389d0b3702d7eee6ce6b604d3260df7fda5c79cef8f69614035efeb31e516da63464313e11f64b6e8995a39c814683e8 SHA512 e86c0787e2aa7be5e9f19356e543493e53c7d1b51b585c46facfb05f769e6491209f820b207bf594348f4760c492c32dda3fcc94fc0af93cb09c736492a8e231
-DIST gitahead-2.6.3-dep_openssl_openssl.tar.gz 11271304 BLAKE2B 35ed131c683d4bb343ca5891553eef3c6079a90b475d54e1d68917b7fb3d88e34880c8f222d2f2633e2ed4eb52c3b2ca57def4d48e16693e2e766666915dd0f4 SHA512 98c0491ea2051120cbb369ac1e069028d21746d70a3a9cb5553ea27d52ab2e68353390c89e9c0202cea2fcd0b1a39cc070e29119b322aedd3d58e014626f6f05
DIST gitahead-2.6.3.tar.gz 34528473 BLAKE2B e35a055e62dab67d7a6efd0e9783ff485d3208b85e8e799f722d1346f55b1cdd1c7983631aab1766d2d64577e3ba37350fa89713f25562273c52ecfca43029d8 SHA512 8d64efc156343a9c04d12c8a41742e36aed39260d0040ec1a52ce567a73e156f1ce77c61672cb93ef30c0b6c7ee48d9a6e94381ce7034142cdcf2f60a839c712
diff --git a/dev-vcs/gitahead/gitahead-2.6.3.ebuild b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
index 7dc03b62..2f3bc890 100644
--- a/dev-vcs/gitahead/gitahead-2.6.3.ebuild
+++ b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
@@ -9,7 +9,6 @@ DESCRIPTION="Graphical Git client to help understand and manage source code hist
HOMEPAGE="https://github.com/gitahead/gitahead"
SRC_URI="
https://github.com/gitahead/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
- https://github.com/openssl/openssl/archive/d1c28d791a7391a8dc101713cd8646df96491d03.tar.gz -> ${P}-dep_openssl_openssl.tar.gz
https://github.com/stinb/libgit2/archive/90af68bbe2690998f015f18b7c890f5868bcd3ee.tar.gz -> ${P}-dep_libgit2_libgit2.tar.gz
https://github.com/libssh2/libssh2/archive/42d37aa63129a1b2644bf6495198923534322d64.tar.gz -> ${P}-dep_libssh2_libssh2.tar.gz
https://github.com/git/git/archive/0d0ac3826a3bbb9247e39e12623bbcfdd722f24c.tar.gz -> ${P}-dep_git_git.tar.gz
@@ -41,7 +40,6 @@ src_unpack() {
cd "${S}" || die
local i list=(
- dep_openssl_openssl
dep_libgit2_libgit2
dep_libssh2_libssh2
dep_git_git
@@ -57,6 +55,8 @@ src_prepare() {
if ! use gnome-keyring; then
sed -i 's/add_subdirectory(git)//' ./dep/CMakeLists.txt || die
fi
+ sed -i 's/add_subdirectory(openssl)//' ./dep/CMakeLists.txt || die
+
cmake_src_prepare
}
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2020-12-29 15:36 Maciej Barć
0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2020-12-29 15:36 UTC (permalink / raw
To: gentoo-commits
commit: c7901f4f1c7e1d3bb5b1514b42992ca2bb07d168
Author: Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Tue Dec 29 15:36:21 2020 +0000
Commit: Maciej Barć <xgqt <AT> protonmail <DOT> com>
CommitDate: Tue Dec 29 15:36:21 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c7901f4f
dev-vcs/gitahead: fetch bundled git only with USE=gnome-keyring
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>
dev-vcs/gitahead/gitahead-2.6.3.ebuild | 6 ++++--
1 file changed, 4 insertions(+), 2 deletions(-)
diff --git a/dev-vcs/gitahead/gitahead-2.6.3.ebuild b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
index 2f3bc890..529f56cb 100644
--- a/dev-vcs/gitahead/gitahead-2.6.3.ebuild
+++ b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
@@ -11,8 +11,10 @@ SRC_URI="
https://github.com/gitahead/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
https://github.com/stinb/libgit2/archive/90af68bbe2690998f015f18b7c890f5868bcd3ee.tar.gz -> ${P}-dep_libgit2_libgit2.tar.gz
https://github.com/libssh2/libssh2/archive/42d37aa63129a1b2644bf6495198923534322d64.tar.gz -> ${P}-dep_libssh2_libssh2.tar.gz
- https://github.com/git/git/archive/0d0ac3826a3bbb9247e39e12623bbcfdd722f24c.tar.gz -> ${P}-dep_git_git.tar.gz
https://github.com/commonmark/cmark/archive/f0793895eefc8ca14499831a24abee549a5af53e.tar.gz -> ${P}-dep_cmark_cmark.tar.gz
+ gnome-keyring? (
+ https://github.com/git/git/archive/0d0ac3826a3bbb9247e39e12623bbcfdd722f24c.tar.gz -> ${P}-dep_git_git.tar.gz
+ )
"
LICENSE="MIT"
@@ -42,9 +44,9 @@ src_unpack() {
local i list=(
dep_libgit2_libgit2
dep_libssh2_libssh2
- dep_git_git
dep_cmark_cmark
)
+ use gnome-keyring && list+=( dep_git_git )
for i in "${list[@]}"; do
[ ! -f "${DISTDIR}/${P}-${i}.tar.gz" ] && die "The file ${DISTDIR}/${P}-${i}.tar.gz doesn't exist"
tar xf "${DISTDIR}/${P}-${i}.tar.gz" --strip-components 1 -C "${i//_//}" || die "Failed to unpack ${P}-${i}.tar.gz"
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2021-03-28 9:55 Andrew Ammerlaan
0 siblings, 0 replies; 19+ messages in thread
From: Andrew Ammerlaan @ 2021-03-28 9:55 UTC (permalink / raw
To: gentoo-commits
commit: 7ab32e0212132011f33f1a1ea5db9d92a6244478
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Mar 28 09:49:43 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Mar 28 09:49:43 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7ab32e02
dev-vcs/gitahead: remove RedundantLongDescription
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
dev-vcs/gitahead/metadata.xml | 3 ---
1 file changed, 3 deletions(-)
diff --git a/dev-vcs/gitahead/metadata.xml b/dev-vcs/gitahead/metadata.xml
index d0e422bad..0c3d01312 100644
--- a/dev-vcs/gitahead/metadata.xml
+++ b/dev-vcs/gitahead/metadata.xml
@@ -8,7 +8,4 @@
<upstream>
<remote-id type="github">gitahead/gitahead</remote-id>
</upstream>
- <longdescription>
- GitAhead is a graphical Git client designed to help you understand and manage your source code history.
- </longdescription>
</pkgmetadata>
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2021-04-08 16:42 Maciej Barć
0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2021-04-08 16:42 UTC (permalink / raw
To: gentoo-commits
commit: 5137c11c0a95dabbf16783fb8608b779a60b75ce
Author: Maciej Barć <xgqt <AT> riseup <DOT> net>
AuthorDate: Thu Apr 8 16:41:34 2021 +0000
Commit: Maciej Barć <xgqt <AT> riseup <DOT> net>
CommitDate: Thu Apr 8 16:41:34 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5137c11c
dev-vcs/gitahead: add missing linguist-tools dep
Closes: https://bugs.gentoo.org/780990
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Maciej Barć <xgqt <AT> riseup.net>
dev-vcs/gitahead/gitahead-2.6.3.ebuild | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/dev-vcs/gitahead/gitahead-2.6.3.ebuild b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
index 529f56cb2..4df3015c2 100644
--- a/dev-vcs/gitahead/gitahead-2.6.3.ebuild
+++ b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -24,6 +24,7 @@ RESTRICT="test"
IUSE="gnome-keyring"
RDEPEND="
+ dev-qt/linguist-tools:5
dev-qt/qtconcurrent:5
dev-qt/qtcore:5
dev-qt/qtgui:5
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2021-04-08 17:38 Maciej Barć
0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2021-04-08 17:38 UTC (permalink / raw
To: gentoo-commits
commit: 2249c6b53828e237dbcc42eb1b3322cc2f31b152
Author: Maciej Barć <xgqt <AT> riseup <DOT> net>
AuthorDate: Thu Apr 8 17:37:49 2021 +0000
Commit: Maciej Barć <xgqt <AT> riseup <DOT> net>
CommitDate: Thu Apr 8 17:37:49 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2249c6b5
dev-vcs/gitahead: move linguist-tools dep to DEPEND
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Maciej Barć <xgqt <AT> riseup.net>
dev-vcs/gitahead/gitahead-2.6.3.ebuild | 6 ++++--
1 file changed, 4 insertions(+), 2 deletions(-)
diff --git a/dev-vcs/gitahead/gitahead-2.6.3.ebuild b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
index 4df3015c2..5647e4e2c 100644
--- a/dev-vcs/gitahead/gitahead-2.6.3.ebuild
+++ b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
@@ -24,7 +24,6 @@ RESTRICT="test"
IUSE="gnome-keyring"
RDEPEND="
- dev-qt/linguist-tools:5
dev-qt/qtconcurrent:5
dev-qt/qtcore:5
dev-qt/qtgui:5
@@ -36,7 +35,10 @@ RDEPEND="
app-crypt/libsecret
)
"
-DEPEND="${RDEPEND}"
+DEPEND="
+ ${RDEPEND}
+ dev-qt/linguist-tools:5
+"
src_unpack() {
unpack "${P}.tar.gz"
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2021-04-15 15:12 Maciej Barć
0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2021-04-15 15:12 UTC (permalink / raw
To: gentoo-commits
commit: 131d1550b970aa8a0fa66d5fb3cd0e23aac3c388
Author: Maciej Barć <xgqt <AT> riseup <DOT> net>
AuthorDate: Thu Apr 15 15:10:52 2021 +0000
Commit: Maciej Barć <xgqt <AT> riseup <DOT> net>
CommitDate: Thu Apr 15 15:12:32 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=131d1550
dev-vcs/gitahead: add missing deps and QA_FLAGS_IGNORED
Closes: https://bugs.gentoo.org/782946
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Maciej Barć <xgqt <AT> riseup.net>
dev-vcs/gitahead/gitahead-2.6.3.ebuild | 9 +++++++++
1 file changed, 9 insertions(+)
diff --git a/dev-vcs/gitahead/gitahead-2.6.3.ebuild b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
index 5647e4e2c..4bd401c92 100644
--- a/dev-vcs/gitahead/gitahead-2.6.3.ebuild
+++ b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
@@ -24,6 +24,8 @@ RESTRICT="test"
IUSE="gnome-keyring"
RDEPEND="
+ app-crypt/mit-krb5
+ app-text/cmark
dev-qt/qtconcurrent:5
dev-qt/qtcore:5
dev-qt/qtgui:5
@@ -31,6 +33,7 @@ RDEPEND="
dev-qt/qtprintsupport:5
dev-qt/qttest:5
dev-qt/qtwidgets:5
+ net-libs/libssh2
gnome-keyring? (
app-crypt/libsecret
)
@@ -40,6 +43,12 @@ DEPEND="
dev-qt/linguist-tools:5
"
+QA_FLAGS_IGNORED="
+ usr/share/GitAhead/Plugins/imageformats/libqjpeg.so
+ usr/share/GitAhead/Plugins/platforms/libqxcb.so
+ usr/share/GitAhead/Plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so
+"
+
src_unpack() {
unpack "${P}.tar.gz"
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2021-11-26 9:39 Maciej Barć
0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2021-11-26 9:39 UTC (permalink / raw
To: gentoo-commits
commit: 6d18c8d869dc9f4619e06d1017a977bc43114f8a
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 26 09:38:49 2021 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Nov 26 09:38:49 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6d18c8d8
dev-vcs/gitahead: drop to maintainer-needed
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
dev-vcs/gitahead/metadata.xml | 5 +----
1 file changed, 1 insertion(+), 4 deletions(-)
diff --git a/dev-vcs/gitahead/metadata.xml b/dev-vcs/gitahead/metadata.xml
index 0c3d01312..fae995d5a 100644
--- a/dev-vcs/gitahead/metadata.xml
+++ b/dev-vcs/gitahead/metadata.xml
@@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>xgqt@riseup.net</email>
- <name>Maciej Barć</name>
- </maintainer>
+<!-- maintainer-needed -->
<upstream>
<remote-id type="github">gitahead/gitahead</remote-id>
</upstream>
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2022-02-14 16:48 Golubev Alexander
0 siblings, 0 replies; 19+ messages in thread
From: Golubev Alexander @ 2022-02-14 16:48 UTC (permalink / raw
To: gentoo-commits
commit: eec0bf6717a16601429063293e5d1a85dd1d2759
Author: Alexander Golubev <fatzer2 <AT> gmail <DOT> com>
AuthorDate: Mon Feb 14 16:39:33 2022 +0000
Commit: Golubev Alexander <fatzer2 <AT> gmail <DOT> com>
CommitDate: Mon Feb 14 16:39:33 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=eec0bf67
dev-vcs/gitahead: add USE=jpeg to dev-qt/qtgui:5 depend
Closes: https://bugs.gentoo.org/784551
Signed-off-by: Alexander Golubev <fatzer2 <AT> gmail.com>
dev-vcs/gitahead/gitahead-2.6.3.ebuild | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/dev-vcs/gitahead/gitahead-2.6.3.ebuild b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
index 4bd401c92..a8219a445 100644
--- a/dev-vcs/gitahead/gitahead-2.6.3.ebuild
+++ b/dev-vcs/gitahead/gitahead-2.6.3.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit desktop xdg cmake wrapper flag-o-matic
@@ -28,7 +28,7 @@ RDEPEND="
app-text/cmark
dev-qt/qtconcurrent:5
dev-qt/qtcore:5
- dev-qt/qtgui:5
+ dev-qt/qtgui:5[jpeg]
dev-qt/qtnetwork:5
dev-qt/qtprintsupport:5
dev-qt/qttest:5
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2023-12-30 18:43 Benoît Dufour
0 siblings, 0 replies; 19+ messages in thread
From: Benoît Dufour @ 2023-12-30 18:43 UTC (permalink / raw
To: gentoo-commits
commit: f2ffc8d364a3f8b36880a713b527ae27b24bd13e
Author: Benoît Dufour <benoit.dufour <AT> mail <DOT> com>
AuthorDate: Sat Dec 30 18:41:33 2023 +0000
Commit: Benoît Dufour <benoit.dufour <AT> mail <DOT> com>
CommitDate: Sat Dec 30 18:41:33 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f2ffc8d3
dev-vcs/gitahead: add 2.7.1, drop 2.6.3
Signed-off-by: Benoît Dufour <benoit.dufour <AT> mail.com>
dev-vcs/gitahead/Manifest | 10 +++++-----
.../gitahead/{gitahead-2.6.3.ebuild => gitahead-2.7.1.ebuild} | 2 +-
2 files changed, 6 insertions(+), 6 deletions(-)
diff --git a/dev-vcs/gitahead/Manifest b/dev-vcs/gitahead/Manifest
index 570aae64ea..4a1b41fcf9 100644
--- a/dev-vcs/gitahead/Manifest
+++ b/dev-vcs/gitahead/Manifest
@@ -1,5 +1,5 @@
-DIST gitahead-2.6.3-dep_cmark_cmark.tar.gz 231023 BLAKE2B b3e5768c04d33a6273befa8f1aa121b1f4df7ab1c4791c093681186b74b9a819824ff7d6369b456fe94e121344eecd704e71657d8004b1ef66b54ec4cb2a6abd SHA512 65fe291cfc9d163dff8ae69f98cb3449434405a50835056d2bf4aff43131f23d7d837c4ec7aa9bec93df184ff5d1210bff522d702fbddc96844dcf98f515d0b7
-DIST gitahead-2.6.3-dep_git_git.tar.gz 7968616 BLAKE2B 7d2ea9e1ca1faa1a8b66a9db6b213c02be966cec74abe085139e3e966adcff9efbd74fb942ad145ddea64bab94a6006b91b512c96aa645cb124bcaf6e5a488eb SHA512 37a77870e0df748b023f5381aa969f1126b142a3470c9df4e01d86cf3418a0b0e4cb16a37ef7b162f285bdd540559a3511488ec8591b2f88e495626df019c03f
-DIST gitahead-2.6.3-dep_libgit2_libgit2.tar.gz 5322459 BLAKE2B 2a5a4e98e3d6f2883f60604ea5721a56fbc9f3c2403686cda5b65e3fe859bbbe773d30d7fbf8a9d1549aeeda3367526d8604047a27cde490edc8f3fb982fa0c6 SHA512 068be7000e8c9f01073ffa315e398b687e937fbd63fb77021a307cfefc8382ddb085a36f6a2b40bade355d6ffcb1772de8551b9eb6f9eb56877805883804114d
-DIST gitahead-2.6.3-dep_libssh2_libssh2.tar.gz 464738 BLAKE2B 6520c4df6584798505da8e14bfb4fe43389d0b3702d7eee6ce6b604d3260df7fda5c79cef8f69614035efeb31e516da63464313e11f64b6e8995a39c814683e8 SHA512 e86c0787e2aa7be5e9f19356e543493e53c7d1b51b585c46facfb05f769e6491209f820b207bf594348f4760c492c32dda3fcc94fc0af93cb09c736492a8e231
-DIST gitahead-2.6.3.tar.gz 34528473 BLAKE2B e35a055e62dab67d7a6efd0e9783ff485d3208b85e8e799f722d1346f55b1cdd1c7983631aab1766d2d64577e3ba37350fa89713f25562273c52ecfca43029d8 SHA512 8d64efc156343a9c04d12c8a41742e36aed39260d0040ec1a52ce567a73e156f1ce77c61672cb93ef30c0b6c7ee48d9a6e94381ce7034142cdcf2f60a839c712
+DIST gitahead-2.7.1-dep_cmark_cmark.tar.gz 231023 BLAKE2B b3e5768c04d33a6273befa8f1aa121b1f4df7ab1c4791c093681186b74b9a819824ff7d6369b456fe94e121344eecd704e71657d8004b1ef66b54ec4cb2a6abd SHA512 65fe291cfc9d163dff8ae69f98cb3449434405a50835056d2bf4aff43131f23d7d837c4ec7aa9bec93df184ff5d1210bff522d702fbddc96844dcf98f515d0b7
+DIST gitahead-2.7.1-dep_git_git.tar.gz 7968616 BLAKE2B 7d2ea9e1ca1faa1a8b66a9db6b213c02be966cec74abe085139e3e966adcff9efbd74fb942ad145ddea64bab94a6006b91b512c96aa645cb124bcaf6e5a488eb SHA512 37a77870e0df748b023f5381aa969f1126b142a3470c9df4e01d86cf3418a0b0e4cb16a37ef7b162f285bdd540559a3511488ec8591b2f88e495626df019c03f
+DIST gitahead-2.7.1-dep_libgit2_libgit2.tar.gz 5322459 BLAKE2B 2a5a4e98e3d6f2883f60604ea5721a56fbc9f3c2403686cda5b65e3fe859bbbe773d30d7fbf8a9d1549aeeda3367526d8604047a27cde490edc8f3fb982fa0c6 SHA512 068be7000e8c9f01073ffa315e398b687e937fbd63fb77021a307cfefc8382ddb085a36f6a2b40bade355d6ffcb1772de8551b9eb6f9eb56877805883804114d
+DIST gitahead-2.7.1-dep_libssh2_libssh2.tar.gz 464738 BLAKE2B 6520c4df6584798505da8e14bfb4fe43389d0b3702d7eee6ce6b604d3260df7fda5c79cef8f69614035efeb31e516da63464313e11f64b6e8995a39c814683e8 SHA512 e86c0787e2aa7be5e9f19356e543493e53c7d1b51b585c46facfb05f769e6491209f820b207bf594348f4760c492c32dda3fcc94fc0af93cb09c736492a8e231
+DIST gitahead-2.7.1.tar.gz 37248607 BLAKE2B 0f1399f84b92717c898708859a2b5c70d88dc52885b12ad915becb9943fc8037ec4ff498888b769603da163408a635bc111f0d5302a8631bb07c9683915e11e1 SHA512 c58ba55e0a0e9d11a0f777bd9d2e51cc7e2c93d0d58d266ae5a1c1271b962d5ac479124234b162983ff56870262e356969b841d59b375ae22e39301e689f3ab9
diff --git a/dev-vcs/gitahead/gitahead-2.6.3.ebuild b/dev-vcs/gitahead/gitahead-2.7.1.ebuild
similarity index 97%
rename from dev-vcs/gitahead/gitahead-2.6.3.ebuild
rename to dev-vcs/gitahead/gitahead-2.7.1.ebuild
index a8219a4453..3023121df8 100644
--- a/dev-vcs/gitahead/gitahead-2.6.3.ebuild
+++ b/dev-vcs/gitahead/gitahead-2.7.1.ebuild
@@ -85,7 +85,7 @@ src_install() {
eninja package
cd ./_CPack_Packages/Linux/STGZ || die
mkdir -p "${D}"/usr/share || die
- bash ./GitAhead-2.6.3.sh --prefix="${D}"/usr/share --include-subdir || die
+ bash ./GitAhead-2.7.1.sh --prefix="${D}"/usr/share --include-subdir || die
rm -fr "${D}"/usr/share/GitAhead/*.so.* || die
cd "${D}"/usr/share/GitAhead/Resources/GitAhead.iconset || die
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2024-01-09 15:04 Takuya Wakazono
0 siblings, 0 replies; 19+ messages in thread
From: Takuya Wakazono @ 2024-01-09 15:04 UTC (permalink / raw
To: gentoo-commits
commit: af47feee3439aae97ed4485246c32abc7d4cd95e
Author: Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
AuthorDate: Tue Jan 9 15:03:59 2024 +0000
Commit: Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
CommitDate: Tue Jan 9 15:03:59 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=af47feee
dev-vcs/gitahead: fix dependencies
Closes: https://bugs.gentoo.org/833826
Closes: https://bugs.gentoo.org/833827
Closes: https://bugs.gentoo.org/921154
Signed-off-by: Takuya Wakazono <pastalian46 <AT> gmail.com>
dev-vcs/gitahead/Manifest | 5 ++---
dev-vcs/gitahead/gitahead-2.7.1.ebuild | 41 +++++++++++++++-------------------
2 files changed, 20 insertions(+), 26 deletions(-)
diff --git a/dev-vcs/gitahead/Manifest b/dev-vcs/gitahead/Manifest
index 4a1b41fcf9..110740de28 100644
--- a/dev-vcs/gitahead/Manifest
+++ b/dev-vcs/gitahead/Manifest
@@ -1,5 +1,4 @@
-DIST gitahead-2.7.1-dep_cmark_cmark.tar.gz 231023 BLAKE2B b3e5768c04d33a6273befa8f1aa121b1f4df7ab1c4791c093681186b74b9a819824ff7d6369b456fe94e121344eecd704e71657d8004b1ef66b54ec4cb2a6abd SHA512 65fe291cfc9d163dff8ae69f98cb3449434405a50835056d2bf4aff43131f23d7d837c4ec7aa9bec93df184ff5d1210bff522d702fbddc96844dcf98f515d0b7
DIST gitahead-2.7.1-dep_git_git.tar.gz 7968616 BLAKE2B 7d2ea9e1ca1faa1a8b66a9db6b213c02be966cec74abe085139e3e966adcff9efbd74fb942ad145ddea64bab94a6006b91b512c96aa645cb124bcaf6e5a488eb SHA512 37a77870e0df748b023f5381aa969f1126b142a3470c9df4e01d86cf3418a0b0e4cb16a37ef7b162f285bdd540559a3511488ec8591b2f88e495626df019c03f
-DIST gitahead-2.7.1-dep_libgit2_libgit2.tar.gz 5322459 BLAKE2B 2a5a4e98e3d6f2883f60604ea5721a56fbc9f3c2403686cda5b65e3fe859bbbe773d30d7fbf8a9d1549aeeda3367526d8604047a27cde490edc8f3fb982fa0c6 SHA512 068be7000e8c9f01073ffa315e398b687e937fbd63fb77021a307cfefc8382ddb085a36f6a2b40bade355d6ffcb1772de8551b9eb6f9eb56877805883804114d
-DIST gitahead-2.7.1-dep_libssh2_libssh2.tar.gz 464738 BLAKE2B 6520c4df6584798505da8e14bfb4fe43389d0b3702d7eee6ce6b604d3260df7fda5c79cef8f69614035efeb31e516da63464313e11f64b6e8995a39c814683e8 SHA512 e86c0787e2aa7be5e9f19356e543493e53c7d1b51b585c46facfb05f769e6491209f820b207bf594348f4760c492c32dda3fcc94fc0af93cb09c736492a8e231
+DIST gitahead-2.7.1-dep_hunspell_hunspell.tar.gz 506908 BLAKE2B 810117701b16506ab18f3834cbbe6c75c970632a24b504b0fe914d77407e7379000826897aa03584edb7b87d207e26297709dd70613b6dd49731aa0aed1416b4 SHA512 6e0f4fe0a30e3824cff51ab507e3a836021e8b7542c86ed2950689fe9724b3c017648eb9928d1bb86fddcff113903164c25a1725a4fe7c8b94a833c4bf36279d
+DIST gitahead-2.7.1-dep_libgit2_libgit2.tar.gz 7535416 BLAKE2B 220249adafac30fdd329e65eabc0a7dc0f533b2242d2e75743c781d80d427d8aca5abc7c7d6f6874ebb6b379cee1bf2569a57a769b8a00a4d15ff5a94a218ad0 SHA512 eb0d66840210d1a73b11c7374fa2745afded753d5e8a87483efb5dcf76973469b705279e3ddca15874423123f387384f752aec614951ef4185d334b171d78779
DIST gitahead-2.7.1.tar.gz 37248607 BLAKE2B 0f1399f84b92717c898708859a2b5c70d88dc52885b12ad915becb9943fc8037ec4ff498888b769603da163408a635bc111f0d5302a8631bb07c9683915e11e1 SHA512 c58ba55e0a0e9d11a0f777bd9d2e51cc7e2c93d0d58d266ae5a1c1271b962d5ac479124234b162983ff56870262e356969b841d59b375ae22e39301e689f3ab9
diff --git a/dev-vcs/gitahead/gitahead-2.7.1.ebuild b/dev-vcs/gitahead/gitahead-2.7.1.ebuild
index 3023121df8..5408b298d4 100644
--- a/dev-vcs/gitahead/gitahead-2.7.1.ebuild
+++ b/dev-vcs/gitahead/gitahead-2.7.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -9,9 +9,10 @@ DESCRIPTION="Graphical Git client to help understand and manage source code hist
HOMEPAGE="https://github.com/gitahead/gitahead"
SRC_URI="
https://github.com/gitahead/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
- https://github.com/stinb/libgit2/archive/90af68bbe2690998f015f18b7c890f5868bcd3ee.tar.gz -> ${P}-dep_libgit2_libgit2.tar.gz
- https://github.com/libssh2/libssh2/archive/42d37aa63129a1b2644bf6495198923534322d64.tar.gz -> ${P}-dep_libssh2_libssh2.tar.gz
- https://github.com/commonmark/cmark/archive/f0793895eefc8ca14499831a24abee549a5af53e.tar.gz -> ${P}-dep_cmark_cmark.tar.gz
+ https://github.com/stinb/libgit2/archive/834d652bcb932af447d7f0acd1214a4057cb0771.tar.gz
+ -> ${P}-dep_libgit2_libgit2.tar.gz
+ https://github.com/hunspell/hunspell/archive/8a2fdfe5a6bb1cbafc04b0c8486abcefd17ad903.tar.gz
+ -> ${P}-dep_hunspell_hunspell.tar.gz
gnome-keyring? (
https://github.com/git/git/archive/0d0ac3826a3bbb9247e39e12623bbcfdd722f24c.tar.gz -> ${P}-dep_git_git.tar.gz
)
@@ -24,30 +25,23 @@ RESTRICT="test"
IUSE="gnome-keyring"
RDEPEND="
- app-crypt/mit-krb5
- app-text/cmark
- dev-qt/qtconcurrent:5
- dev-qt/qtcore:5
- dev-qt/qtgui:5[jpeg]
- dev-qt/qtnetwork:5
- dev-qt/qtprintsupport:5
- dev-qt/qttest:5
- dev-qt/qtwidgets:5
+ app-text/cmark:=
+ dev-libs/openssl:=
+ dev-qt/qt5compat:6
+ dev-qt/qtbase:6[concurrent,gui,network,widgets]
net-libs/libssh2
gnome-keyring? (
app-crypt/libsecret
)
"
-DEPEND="
- ${RDEPEND}
- dev-qt/linguist-tools:5
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-qt/qttools:6[linguist]
+ virtual/pkgconfig
"
-QA_FLAGS_IGNORED="
- usr/share/GitAhead/Plugins/imageformats/libqjpeg.so
- usr/share/GitAhead/Plugins/platforms/libqxcb.so
- usr/share/GitAhead/Plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so
-"
+QA_FLAGS_IGNORED="usr/share/GitAhead/Plugins/.*"
+QA_PRESTRIPPED="usr/share/GitAhead/Plugins/.*"
src_unpack() {
unpack "${P}.tar.gz"
@@ -55,8 +49,7 @@ src_unpack() {
cd "${S}" || die
local i list=(
dep_libgit2_libgit2
- dep_libssh2_libssh2
- dep_cmark_cmark
+ dep_hunspell_hunspell
)
use gnome-keyring && list+=( dep_git_git )
for i in "${list[@]}"; do
@@ -70,6 +63,8 @@ src_prepare() {
sed -i 's/add_subdirectory(git)//' ./dep/CMakeLists.txt || die
fi
sed -i 's/add_subdirectory(openssl)//' ./dep/CMakeLists.txt || die
+ # Respect LDFLAGS
+ sed -i '/CMAKE_EXE_LINKER_FLAGS/d' CMakeLists.txt || die
cmake_src_prepare
}
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2024-01-10 10:14 Takuya Wakazono
0 siblings, 0 replies; 19+ messages in thread
From: Takuya Wakazono @ 2024-01-10 10:14 UTC (permalink / raw
To: gentoo-commits
commit: 64037e730c0d2d4497df150b58421a4c60f965a3
Author: Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
AuthorDate: Wed Jan 10 10:12:08 2024 +0000
Commit: Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
CommitDate: Wed Jan 10 10:13:44 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=64037e73
dev-vcs/gitahead: fix automagic deps
Closes: https://bugs.gentoo.org/921673
Closes: https://bugs.gentoo.org/921674
Signed-off-by: Takuya Wakazono <pastalian46 <AT> gmail.com>
dev-vcs/gitahead/gitahead-2.7.1-r1.ebuild | 115 ++++++++++++++++++++++++++++++
1 file changed, 115 insertions(+)
diff --git a/dev-vcs/gitahead/gitahead-2.7.1-r1.ebuild b/dev-vcs/gitahead/gitahead-2.7.1-r1.ebuild
new file mode 100644
index 0000000000..4b22787437
--- /dev/null
+++ b/dev-vcs/gitahead/gitahead-2.7.1-r1.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop xdg cmake wrapper flag-o-matic
+
+DESCRIPTION="Graphical Git client to help understand and manage source code history"
+HOMEPAGE="https://github.com/gitahead/gitahead"
+SRC_URI="
+ https://github.com/gitahead/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/stinb/libgit2/archive/834d652bcb932af447d7f0acd1214a4057cb0771.tar.gz
+ -> ${P}-dep_libgit2_libgit2.tar.gz
+ https://github.com/hunspell/hunspell/archive/8a2fdfe5a6bb1cbafc04b0c8486abcefd17ad903.tar.gz
+ -> ${P}-dep_hunspell_hunspell.tar.gz
+ gnome-keyring? (
+ https://github.com/git/git/archive/0d0ac3826a3bbb9247e39e12623bbcfdd722f24c.tar.gz -> ${P}-dep_git_git.tar.gz
+ )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="test"
+IUSE="gnome-keyring"
+
+RDEPEND="
+ app-text/cmark:=
+ dev-libs/libpcre2:=
+ dev-libs/openssl:=
+ dev-qt/qt5compat:6
+ dev-qt/qtbase:6[concurrent,gui,network,widgets]
+ net-libs/http-parser:=
+ net-libs/libssh2
+ sys-libs/zlib
+ gnome-keyring? (
+ app-crypt/libsecret
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-qt/qttools:6[linguist]
+ virtual/pkgconfig
+"
+
+QA_FLAGS_IGNORED="usr/share/GitAhead/Plugins/.*"
+QA_PRESTRIPPED="usr/share/GitAhead/Plugins/.*"
+
+src_unpack() {
+ unpack "${P}.tar.gz"
+
+ cd "${S}" || die
+ local i list=(
+ dep_libgit2_libgit2
+ dep_hunspell_hunspell
+ )
+ use gnome-keyring && list+=( dep_git_git )
+ for i in "${list[@]}"; do
+ [ ! -f "${DISTDIR}/${P}-${i}.tar.gz" ] && die "The file ${DISTDIR}/${P}-${i}.tar.gz doesn't exist"
+ tar xf "${DISTDIR}/${P}-${i}.tar.gz" --strip-components 1 -C "${i//_//}" || die "Failed to unpack ${P}-${i}.tar.gz"
+ done
+}
+
+src_prepare() {
+ if ! use gnome-keyring; then
+ sed -i 's/add_subdirectory(git)//' ./dep/CMakeLists.txt || die
+ fi
+ sed -i 's/add_subdirectory(openssl)//' ./dep/CMakeLists.txt || die
+ # Respect LDFLAGS
+ sed -i '/CMAKE_EXE_LINKER_FLAGS/d' CMakeLists.txt || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ filter-flags -flto* # Segfault in libQt5Core.so.5
+ local mycmakeargs=(
+ # libgit2 flags
+ -DBUILD_TESTS=OFF
+ -DREGEX_BACKEND=pcre2
+ -DUSE_GSSAPI=OFF
+ -DUSE_HTTP_PARSER=system
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ cd "${BUILD_DIR}" || die
+
+ eninja package
+ cd ./_CPack_Packages/Linux/STGZ || die
+ mkdir -p "${D}"/usr/share || die
+ bash ./GitAhead-2.7.1.sh --prefix="${D}"/usr/share --include-subdir || die
+ rm -fr "${D}"/usr/share/GitAhead/*.so.* || die
+
+ cd "${D}"/usr/share/GitAhead/Resources/GitAhead.iconset || die
+ local res
+ for res in 16 32 64 128 256 512; do
+ newicon -s "${res}" "icon_${res}x${res}.png" "${PN}.png"
+ done
+
+ make_wrapper "${PN}" "${EPREFIX}/usr/share/GitAhead/GitAhead"
+ make_desktop_entry "/usr/share/GitAhead/GitAhead" "GitAhead" "${PN}" "Development"
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ ewarn "${P} collects some statistical usage data."
+ ewarn "To permanently opt-out of reporting:"
+ ewarn "toggle a button in Help -> About GitAhead -> Privacy"
+ ewarn "or write to ~/.config/gitahead.com/GitAhead.conf those lines:"
+ ewarn "[tracking]"
+ ewarn "enabled=false"
+}
^ permalink raw reply related [flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/
@ 2024-04-07 19:05 Julien Roy
0 siblings, 0 replies; 19+ messages in thread
From: Julien Roy @ 2024-04-07 19:05 UTC (permalink / raw
To: gentoo-commits
commit: c838e00fcd3518c03a55c0335af8930d80775daf
Author: Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Sun Apr 7 15:38:57 2024 +0000
Commit: Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Sun Apr 7 19:03:15 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c838e00f
dev-vcs/gitahead: restore dropped package
Dropped accidently by a6b3f15b1a76a2b066f9ff763fab5588bab902c6
Signed-off-by: Julien Roy <julien <AT> jroy.ca>
dev-vcs/gitahead/Manifest | 4 ++
dev-vcs/gitahead/gitahead-2.7.1-r1.ebuild | 115 ++++++++++++++++++++++++++++++
dev-vcs/gitahead/gitahead-2.7.1.ebuild | 105 +++++++++++++++++++++++++++
dev-vcs/gitahead/metadata.xml | 11 +++
4 files changed, 235 insertions(+)
diff --git a/dev-vcs/gitahead/Manifest b/dev-vcs/gitahead/Manifest
new file mode 100644
index 0000000000..110740de28
--- /dev/null
+++ b/dev-vcs/gitahead/Manifest
@@ -0,0 +1,4 @@
+DIST gitahead-2.7.1-dep_git_git.tar.gz 7968616 BLAKE2B 7d2ea9e1ca1faa1a8b66a9db6b213c02be966cec74abe085139e3e966adcff9efbd74fb942ad145ddea64bab94a6006b91b512c96aa645cb124bcaf6e5a488eb SHA512 37a77870e0df748b023f5381aa969f1126b142a3470c9df4e01d86cf3418a0b0e4cb16a37ef7b162f285bdd540559a3511488ec8591b2f88e495626df019c03f
+DIST gitahead-2.7.1-dep_hunspell_hunspell.tar.gz 506908 BLAKE2B 810117701b16506ab18f3834cbbe6c75c970632a24b504b0fe914d77407e7379000826897aa03584edb7b87d207e26297709dd70613b6dd49731aa0aed1416b4 SHA512 6e0f4fe0a30e3824cff51ab507e3a836021e8b7542c86ed2950689fe9724b3c017648eb9928d1bb86fddcff113903164c25a1725a4fe7c8b94a833c4bf36279d
+DIST gitahead-2.7.1-dep_libgit2_libgit2.tar.gz 7535416 BLAKE2B 220249adafac30fdd329e65eabc0a7dc0f533b2242d2e75743c781d80d427d8aca5abc7c7d6f6874ebb6b379cee1bf2569a57a769b8a00a4d15ff5a94a218ad0 SHA512 eb0d66840210d1a73b11c7374fa2745afded753d5e8a87483efb5dcf76973469b705279e3ddca15874423123f387384f752aec614951ef4185d334b171d78779
+DIST gitahead-2.7.1.tar.gz 37248607 BLAKE2B 0f1399f84b92717c898708859a2b5c70d88dc52885b12ad915becb9943fc8037ec4ff498888b769603da163408a635bc111f0d5302a8631bb07c9683915e11e1 SHA512 c58ba55e0a0e9d11a0f777bd9d2e51cc7e2c93d0d58d266ae5a1c1271b962d5ac479124234b162983ff56870262e356969b841d59b375ae22e39301e689f3ab9
diff --git a/dev-vcs/gitahead/gitahead-2.7.1-r1.ebuild b/dev-vcs/gitahead/gitahead-2.7.1-r1.ebuild
new file mode 100644
index 0000000000..4b22787437
--- /dev/null
+++ b/dev-vcs/gitahead/gitahead-2.7.1-r1.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop xdg cmake wrapper flag-o-matic
+
+DESCRIPTION="Graphical Git client to help understand and manage source code history"
+HOMEPAGE="https://github.com/gitahead/gitahead"
+SRC_URI="
+ https://github.com/gitahead/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/stinb/libgit2/archive/834d652bcb932af447d7f0acd1214a4057cb0771.tar.gz
+ -> ${P}-dep_libgit2_libgit2.tar.gz
+ https://github.com/hunspell/hunspell/archive/8a2fdfe5a6bb1cbafc04b0c8486abcefd17ad903.tar.gz
+ -> ${P}-dep_hunspell_hunspell.tar.gz
+ gnome-keyring? (
+ https://github.com/git/git/archive/0d0ac3826a3bbb9247e39e12623bbcfdd722f24c.tar.gz -> ${P}-dep_git_git.tar.gz
+ )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="test"
+IUSE="gnome-keyring"
+
+RDEPEND="
+ app-text/cmark:=
+ dev-libs/libpcre2:=
+ dev-libs/openssl:=
+ dev-qt/qt5compat:6
+ dev-qt/qtbase:6[concurrent,gui,network,widgets]
+ net-libs/http-parser:=
+ net-libs/libssh2
+ sys-libs/zlib
+ gnome-keyring? (
+ app-crypt/libsecret
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-qt/qttools:6[linguist]
+ virtual/pkgconfig
+"
+
+QA_FLAGS_IGNORED="usr/share/GitAhead/Plugins/.*"
+QA_PRESTRIPPED="usr/share/GitAhead/Plugins/.*"
+
+src_unpack() {
+ unpack "${P}.tar.gz"
+
+ cd "${S}" || die
+ local i list=(
+ dep_libgit2_libgit2
+ dep_hunspell_hunspell
+ )
+ use gnome-keyring && list+=( dep_git_git )
+ for i in "${list[@]}"; do
+ [ ! -f "${DISTDIR}/${P}-${i}.tar.gz" ] && die "The file ${DISTDIR}/${P}-${i}.tar.gz doesn't exist"
+ tar xf "${DISTDIR}/${P}-${i}.tar.gz" --strip-components 1 -C "${i//_//}" || die "Failed to unpack ${P}-${i}.tar.gz"
+ done
+}
+
+src_prepare() {
+ if ! use gnome-keyring; then
+ sed -i 's/add_subdirectory(git)//' ./dep/CMakeLists.txt || die
+ fi
+ sed -i 's/add_subdirectory(openssl)//' ./dep/CMakeLists.txt || die
+ # Respect LDFLAGS
+ sed -i '/CMAKE_EXE_LINKER_FLAGS/d' CMakeLists.txt || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ filter-flags -flto* # Segfault in libQt5Core.so.5
+ local mycmakeargs=(
+ # libgit2 flags
+ -DBUILD_TESTS=OFF
+ -DREGEX_BACKEND=pcre2
+ -DUSE_GSSAPI=OFF
+ -DUSE_HTTP_PARSER=system
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ cd "${BUILD_DIR}" || die
+
+ eninja package
+ cd ./_CPack_Packages/Linux/STGZ || die
+ mkdir -p "${D}"/usr/share || die
+ bash ./GitAhead-2.7.1.sh --prefix="${D}"/usr/share --include-subdir || die
+ rm -fr "${D}"/usr/share/GitAhead/*.so.* || die
+
+ cd "${D}"/usr/share/GitAhead/Resources/GitAhead.iconset || die
+ local res
+ for res in 16 32 64 128 256 512; do
+ newicon -s "${res}" "icon_${res}x${res}.png" "${PN}.png"
+ done
+
+ make_wrapper "${PN}" "${EPREFIX}/usr/share/GitAhead/GitAhead"
+ make_desktop_entry "/usr/share/GitAhead/GitAhead" "GitAhead" "${PN}" "Development"
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ ewarn "${P} collects some statistical usage data."
+ ewarn "To permanently opt-out of reporting:"
+ ewarn "toggle a button in Help -> About GitAhead -> Privacy"
+ ewarn "or write to ~/.config/gitahead.com/GitAhead.conf those lines:"
+ ewarn "[tracking]"
+ ewarn "enabled=false"
+}
diff --git a/dev-vcs/gitahead/gitahead-2.7.1.ebuild b/dev-vcs/gitahead/gitahead-2.7.1.ebuild
new file mode 100644
index 0000000000..5408b298d4
--- /dev/null
+++ b/dev-vcs/gitahead/gitahead-2.7.1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop xdg cmake wrapper flag-o-matic
+
+DESCRIPTION="Graphical Git client to help understand and manage source code history"
+HOMEPAGE="https://github.com/gitahead/gitahead"
+SRC_URI="
+ https://github.com/gitahead/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/stinb/libgit2/archive/834d652bcb932af447d7f0acd1214a4057cb0771.tar.gz
+ -> ${P}-dep_libgit2_libgit2.tar.gz
+ https://github.com/hunspell/hunspell/archive/8a2fdfe5a6bb1cbafc04b0c8486abcefd17ad903.tar.gz
+ -> ${P}-dep_hunspell_hunspell.tar.gz
+ gnome-keyring? (
+ https://github.com/git/git/archive/0d0ac3826a3bbb9247e39e12623bbcfdd722f24c.tar.gz -> ${P}-dep_git_git.tar.gz
+ )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="test"
+IUSE="gnome-keyring"
+
+RDEPEND="
+ app-text/cmark:=
+ dev-libs/openssl:=
+ dev-qt/qt5compat:6
+ dev-qt/qtbase:6[concurrent,gui,network,widgets]
+ net-libs/libssh2
+ gnome-keyring? (
+ app-crypt/libsecret
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-qt/qttools:6[linguist]
+ virtual/pkgconfig
+"
+
+QA_FLAGS_IGNORED="usr/share/GitAhead/Plugins/.*"
+QA_PRESTRIPPED="usr/share/GitAhead/Plugins/.*"
+
+src_unpack() {
+ unpack "${P}.tar.gz"
+
+ cd "${S}" || die
+ local i list=(
+ dep_libgit2_libgit2
+ dep_hunspell_hunspell
+ )
+ use gnome-keyring && list+=( dep_git_git )
+ for i in "${list[@]}"; do
+ [ ! -f "${DISTDIR}/${P}-${i}.tar.gz" ] && die "The file ${DISTDIR}/${P}-${i}.tar.gz doesn't exist"
+ tar xf "${DISTDIR}/${P}-${i}.tar.gz" --strip-components 1 -C "${i//_//}" || die "Failed to unpack ${P}-${i}.tar.gz"
+ done
+}
+
+src_prepare() {
+ if ! use gnome-keyring; then
+ sed -i 's/add_subdirectory(git)//' ./dep/CMakeLists.txt || die
+ fi
+ sed -i 's/add_subdirectory(openssl)//' ./dep/CMakeLists.txt || die
+ # Respect LDFLAGS
+ sed -i '/CMAKE_EXE_LINKER_FLAGS/d' CMakeLists.txt || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ filter-flags -flto* # Segfault in libQt5Core.so.5
+ cmake_src_configure
+}
+
+src_install() {
+ cd "${BUILD_DIR}" || die
+
+ eninja package
+ cd ./_CPack_Packages/Linux/STGZ || die
+ mkdir -p "${D}"/usr/share || die
+ bash ./GitAhead-2.7.1.sh --prefix="${D}"/usr/share --include-subdir || die
+ rm -fr "${D}"/usr/share/GitAhead/*.so.* || die
+
+ cd "${D}"/usr/share/GitAhead/Resources/GitAhead.iconset || die
+ local res
+ for res in 16 32 64 128 256 512; do
+ newicon -s "${res}" "icon_${res}x${res}.png" "${PN}.png"
+ done
+
+ make_wrapper "${PN}" "${EPREFIX}/usr/share/GitAhead/GitAhead"
+ make_desktop_entry "/usr/share/GitAhead/GitAhead" "GitAhead" "${PN}" "Development"
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ ewarn "${P} collects some statistical usage data."
+ ewarn "To permanently opt-out of reporting:"
+ ewarn "toggle a button in Help -> About GitAhead -> Privacy"
+ ewarn "or write to ~/.config/gitahead.com/GitAhead.conf those lines:"
+ ewarn "[tracking]"
+ ewarn "enabled=false"
+}
diff --git a/dev-vcs/gitahead/metadata.xml b/dev-vcs/gitahead/metadata.xml
new file mode 100644
index 0000000000..741eace424
--- /dev/null
+++ b/dev-vcs/gitahead/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Benoît Dufour</name>
+ <email>benoit.dufour@mail.com</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">gitahead/gitahead</remote-id>
+ </upstream>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 19+ messages in thread
end of thread, other threads:[~2024-04-07 19:05 UTC | newest]
Thread overview: 19+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-11-29 10:04 [gentoo-commits] repo/proj/guru:dev commit in: dev-vcs/gitahead/ Theo Anderson
-- strict thread matches above, loose matches on Subject: below --
2024-04-07 19:05 Julien Roy
2024-01-10 10:14 Takuya Wakazono
2024-01-09 15:04 Takuya Wakazono
2023-12-30 18:43 Benoît Dufour
2022-02-14 16:48 Golubev Alexander
2021-11-26 9:39 Maciej Barć
2021-04-15 15:12 Maciej Barć
2021-04-08 17:38 Maciej Barć
2021-04-08 16:42 Maciej Barć
2021-03-28 9:55 Andrew Ammerlaan
2020-12-29 15:36 Maciej Barć
2020-12-28 21:39 Maciej Barć
2020-12-28 21:26 Theo Anderson
2020-12-28 21:18 Theo Anderson
2020-12-28 20:49 Maciej Barć
2020-12-28 18:37 Maciej Barć
2020-12-27 16:11 Maciej Barć
2020-11-28 17:37 Maciej Barć
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox